org.apache.struts2.spring

## Class ClassReloadingInstantiationStrategy

- java.lang.Object
- - org.springframework.beans.factory.support.SimpleInstantiationStrategy
  - - org.apache.struts2.spring.ClassReloadingInstantiationStrategy

- All Implemented Interfaces:
    org.springframework.beans.factory.support.InstantiationStrategy

      public class ClassReloadingInstantiationStrategy
      extends org.springframework.beans.factory.support.SimpleInstantiationStrategy

  Same as SimpleInstantiationStrategy, but constructor is not cached

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassReloadingInstantiationStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `instantiate(org.springframework.beans.factory.support.RootBeanDefinition beanDefinition, String beanName, org.springframework.beans.factory.BeanFactory owner)`

    - ### Methods inherited from class org.springframework.beans.factory.support.SimpleInstantiationStrategy

      `getCurrentlyInvokedFactoryMethod, instantiate, instantiate, instantiateWithMethodInjection, instantiateWithMethodInjection`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassReloadingInstantiationStrategy

          public ClassReloadingInstantiationStrategy()

  - ### Method Detail

    - #### instantiate

          public Object instantiate(org.springframework.beans.factory.support.RootBeanDefinition beanDefinition,
                                    String beanName,
                                    org.springframework.beans.factory.BeanFactory owner)

      Specified by:
        `instantiate` in interface `org.springframework.beans.factory.support.InstantiationStrategy`
      Overrides:
        `instantiate` in class `org.springframework.beans.factory.support.SimpleInstantiationStrategy`

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.